---
services:
  syncthing:
    image: lscr.io/linuxserver/syncthing:2.0.10
    container_name: syncthing
    hostname: syncthing #optional
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Shanghai
    volumes:
      - /opt/docker-data/syncthing/config:/config
      - /mnt/data/data1:/data1
      - /mnt/data/data2:/data2
    ports:
      - 8384:8384
      - 22000:22000/tcp
      - 22000:22000/udp
      - 21027:21027/udp
    restart: unless-stopped